package com.ruoyi.hezhi.service;

import com.ruoyi.hezhi.domain.TbLink;

import java.util.List;

/**
 * 资源关联Service接口
 *
 * @author ruoyi
 * @date 2024-10-22
 */
public interface ITbLinkService
{
    /**
     * 查询资源关联
     *
     * @param linkId 资源关联主键
     * @return 资源关联
     */
    public TbLink selectTbLinkByLinkId(Long linkId);

    /**
     * 查询资源关联列表
     *
     * @param tbLink 资源关联
     * @return 资源关联集合
     */
    public List<TbLink> selectTbLinkList(TbLink tbLink);

    /**
     * 新增资源关联
     *
     * @param tbLink 资源关联
     * @return 结果
     */
    public int insertTbLink(TbLink tbLink);

    /**
     * 修改资源关联
     *
     * @param tbLink 资源关联
     * @return 结果
     */
    public int updateTbLink(TbLink tbLink);

    /**
     * 批量删除资源关联
     *
     * @param linkIds 需要删除的资源关联主键集合
     * @return 结果
     */
    public int deleteTbLinkByLinkIds(Long[] linkIds);

    /**
     * 删除资源关联信息
     *
     * @param linkId 资源关联主键
     * @return 结果
     */
    public int deleteTbLinkByLinkId(Long linkId);

    /**
     * 查询评价机构与课程关联列表
     *
     * @param tbLink 资源关联
     * @return 资源关联集合
     */
    public List<TbLink> listLinkEvaluateAgencyCourse(TbLink tbLink);

    /**
     * 查询直播与老师关联列表
     *
     * @param tbLink 资源关联
     * @return 资源关联集合
     */
    public List<TbLink> listLinkLiveBroadcastTeacher(TbLink tbLink);
}
